
# .pro to build project using qmake
# run $qmake build_makefile.pro

SRC=src/
H=header/

EXTERNAL_SRC=external/src/
EXTERNAL_INCLUDE=external/include/

F01=main
F02=v3
F03=v4
F04=matrix3
F05=mesh
F06=quaternion
F07=mesh_io_off
F08=string_helper
F09=trackball
F10=navigator_tool
F11=glut_helper
F12=opengl_drawer
F13=texture
F14=animated_mesh
F15=animation
F16=gl-utils





HEADERS = $${H}$${F02}.hpp \
          $${H}$${F03}.hpp \
          $${H}$${F04}.hpp \
          $${H}$${F05}.hpp \
          $${EXTERNAL_INCLUDE}$${F06}.hpp \
          $${EXTERNAL_INCLUDE}$${F07}.hpp \
          $${EXTERNAL_INCLUDE}$${F08}.hpp \
          $${EXTERNAL_INCLUDE}$${F09}.hpp \
          $${EXTERNAL_INCLUDE}$${F10}.hpp \
          $${EXTERNAL_INCLUDE}$${F11}.hpp \
          $${EXTERNAL_INCLUDE}$${F12}.hpp \
          $${EXTERNAL_INCLUDE}$${F13}.hpp \
          $${H}$${F14}.hpp \
          $${H}$${F15}.hpp \
          $${H}$${F16}.hpp \


SOURCES = $${SRC}$${F01}.cpp \
          $${SRC}$${F02}.cpp \
          $${SRC}$${F03}.cpp \
          $${SRC}$${F04}.cpp \
          $${SRC}$${F05}.cpp \
          $${EXTERNAL_SRC}$${F06}.cpp \
          $${EXTERNAL_SRC}$${F07}.cpp \
          $${EXTERNAL_SRC}$${F08}.cpp \
          $${EXTERNAL_SRC}$${F09}.cpp \
          $${EXTERNAL_SRC}$${F10}.cpp \
          $${EXTERNAL_SRC}$${F11}.cpp \
          $${EXTERNAL_SRC}$${F12}.cpp \
          $${EXTERNAL_SRC}$${F13}.cpp \
          $${SRC}$${F14}.cpp \
          $${SRC}$${F15}.cpp \
          $${SRC}$${F16}.cpp \




TARGET = cpe_skinning
QT += opengl
CONFIG += release warn_on

INCLUDEPATH = $${H} $${EXTERNAL_INCLUDE}

LIBS = -lglut -lGLEW


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
