#version 120

attribute vec4 weight0;
attribute vec4 weight1;
attribute vec4 weight2;
attribute vec4 weight3;
attribute vec4 bones;

uniform vec3 position[62];
uniform vec4 orientation[62];


void main (void)
{
  gl_TexCoord[0]  = gl_MultiTexCoord0;

  //position du joint0
  vec3 position_joint0=position[int(bones.x)];
  //relative 0
  vec3 relative0=weight0.xyz;
  //quaternion joint 0
  vec4 orientation0=orientation[int(bones.x)];

  //TODO: skinning = (position_joint0+position_relative0)*poids_0 + (position_joint1+...)
  vec3 y = (position_joint0 + 0.0001*orientation0.xyz*relative0) * (weight0.w+weight1.w+weight2.w+weight3.w);

  //transformation
  gl_Position = gl_ModelViewProjectionMatrix * vec4 (y, 1.0);
}
